import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import GridOne from '../views/grid/One.vue'
import GridTwo from '../views/grid/Two.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/grid',
      name: 'grid',
      component: () => import('../views/Grid.vue'),
      children: [
        {
          path: 'one',
          name: 'GridOne',
          component: GridOne,
        },
        {
          path: 'two',
          name: 'GridTwo',
          component: GridTwo,
        },
      ]
    }
  ]
})

export default router
