import { DataGenerator } from "@bryntum/grid";

const stateId = "gridOne";
const useGridConfig = () => {
  return {
    stateId,
    sortFeature: [{ field: "name", ascending: true }],
    columnLines: false,
    columns: [
      {
        text: "name",
        field: "name",
        flex: 1,
      },
      {
        text: "age",
        field: "age",
        flex: 1,
      },
      {
        text: "city",
        field: "city",
        flex: 1,
      },
      {
        text: "color",
        field: "color",
        flex: 1,
      },
    ],

    // ContextMenu per CellClick
    cellMenuFeature: {
      items: {
        // Disable all default contextMenu items
        search: false,
        cut: false,
        removeRow: false,
        copy: false,
        filterStringEquals: false,
        filterNumberEquals: false,
        filterNumberLess: false,
        filterNumberMore: false,
      },
    },

    data: DataGenerator.generateData(50),
  };
};

export { useGridConfig };
